#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#   Copyright 2013 Gary Wright wrightsolutions.co.uk/contact
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

# fab -a -f django14cycle2.py -u root -H aa.bb.cc.dd poor_cycle1counts
# fab -a -f django14cycle2.py -u root -H aa.bb.cc.dd poor_cycle2counts
# Above two examples are more for script testing, with next two examples better for benchmarking
# fab -a -f django14cycle2.py -u root -H aa.bb.cc.dd poor_cycle1rc
# fab -a -f django14cycle2.py -u root -H aa.bb.cc.dd poor_cycle2rc

# Tested against fabric 1.4.3
# http://ftp.uk.debian.org/debian/pool/main/f/fabric/fabric_1.4.3-1.debian.tar.gz

import fabutil as futil

PRETTIFY_RC_PY='prettify/local-database/rc/py'



def poor_cycle1counts():
    return futil.web_wsgi.poor_cycle(target='counts',data='full',concurrent=1,totaltime=120,visible='internal')

def poor_cycle2counts():
    return futil.web_wsgi.poor_cycle(target='counts',data='full',concurrent=2,totaltime=180,visible='both')

def poor_cycle1rc():
    return futil.web_wsgi.poor_cycle(target=PRETTIFY_RC_PY,data='full',concurrent=1,visible='both')

def poor_cycle2rc():
    return futil.web_wsgi.poor_cycle(target=PRETTIFY_RC_PY,data='full',concurrent=2,
                                     visible='both',app_name='local2dj14',dir_fab='django14cycle2.fab')



