#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#   Copyright 2013 Gary Wright wrightsolutions.co.uk/contact
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

# fab -a -f summary.py -u root -H aa.bb.cc.dd summary
# fab -a -f summary.py -u root -H aa.bb.cc.dd summary_quick

import fabutil as futil

def summary():
    pretty_tuple = futil.cmdbin.pretty_name_tuple()
    print pretty_tuple
    if futil.cmdbin.cpu64():
        print "CPU has 64 bit support"
    if pretty_tuple[1] == 'debian':
        print "Backports: {0}".format(futil.package_deb.has_backports())
    elif pretty_tuple[2] in futil.cmdbin.NUM_AS_WORDS_TO_TWENTY:
        print "EPEL: {0}".format(futil.package_rpm.has_epel())
        print futil.package_rpm.repolist_dict()
    #print futil.cmdbin.cpu_metrics(True)
    print futil.cmdbin.cpu_metrics(True,True,True)
    swap_total = futil.cmdbin.free_marked()
    print futil.ssh_lokkit.max3return2()
    futil.locale.lang_lc_ctype_report()
    #if futil.cgroups_plus.cgroup_binaries_present():
    if futil.cgroups_mounted():
        print futil.cgroups_plus.cgroup_config()
        if pretty_tuple[1] in futil.cmdbin.DEBIAN_DERIVATIVES2:
            """ Ubuntulike so might use cgroups-lite """
            print futil.cgroups_plus.cgroup_binary()
    if pretty_tuple[1] in futil.cmdbin.DEBIAN_PLUS_DERIVATIVES2:
        futil.package_deb.held_packages_summary(True,True)
    return


def summary_quick():
    pretty_tuple = futil.cmdbin.pretty_name_tuple()
    print pretty_tuple
    if futil.cmdbin.cpu64():
        print "CPU has 64 bit support"
    print futil.cmdbin.cpu_metrics(True,True,True)
    #swap_total = futil.cmdbin.free_marked()
    return


